CMCICLIENTFT.DELETEINSTANCE(3)

NAME
CMCIClientFT.deleteInstance() - Delete class instance

SYNOPSIS
#include <cmci.h>

CMPIStatus
CMCIClientFT.deleteInstance(CMCIClient*cl,
CMPIObjectPath*op);

DESCRIPTION
Delete a class instance using op as the instance reference.

Arguments are the client object pointer cl and an ObjectPath object pointer op that contains namespace and classname components.

RETURN VALUE
When successful the CMCIClientFT.deleteInstance() function returns a CMPIStatus object with a successful operation status code. When unsuccessful it returns the operation error code and corresponding error string in the CMPIStatus object.

ERRORS

EXAMPLES

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIStatus(3), CMPIObjectPath(3)